Loading...
Searching...
No Matches
Opm::BrooksCoreyParams< TraitsT > Class Template Reference

Specification of the material parameters for the Brooks-Corey constitutive relations. More...

`#include <BrooksCoreyParams.hpp>`

Inheritance diagram for Opm::BrooksCoreyParams< TraitsT >:

## Public Types

typedef TraitsT | Traits

## Public Member Functions

| BrooksCoreyParams (Scalar ePressure, Scalar shapeParam)
Scalar | entryPressure () const
| Returns the entry pressure [Pa].
void | setEntryPressure (Scalar v)
| Set the entry pressure [Pa].
Scalar | lambda () const
| Returns the lambda shape parameter.
void | setLambda (Scalar v)
| Set the lambda shape parameter.
Public Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Additional Inherited Members

Protected Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

template<class TraitsT>
class Opm::BrooksCoreyParams< TraitsT >

Specification of the material parameters for the Brooks-Corey constitutive relations.

See also
  BrooksCorey

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/BrooksCoreyParams.hpp